## git 2.50.0

=== debian/changelog ===
git (1:2.50.0-1ubuntu2) questing; urgency=medium

  * Disable some tests for now (See lp: 2115804), related
    to coreutils

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Jul 2025 12:08:50 +0200

git (1:2.50.0-1ubuntu1) questing; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - Build diff-highlight in the contrib dir
    - Don't build-depend on subversion on i386, it is not reasonable to
      support on the partial arch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 09:29:48 +0200

git (1:2.50.0-1) unstable; urgency=medium

  * new upstream release (see RelNotes/2.50.0.adoc).
    * in particular, includes the rest of the parse-options fix
      from upstream, avoiding size mismatches that on big-endian
      64-bit platforms was causing commands like "git grep -A" to
      write their argument to the 32 bits after the variable that is
      used (thx Sebastian Andrzej Siewior; closes: #1106786).
  * debian/patches/*: remove; applied upstream.

 -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 17 Jun 2025 03:50:38 +0200

git (1:2.49.0-2) unstable; urgency=medium

  * debian/rules: remove overly strict check for license file
    content matching base-files.  This unbreaks the build on
    builders with an updated copy of the GPLv2 text (thx
    Santiago Vila; closes: #1106311).
  * debian/patches/0001-parse-options-...diff: new; use correct
    type for writing size_t flags, avoiding errors on big-endian
    64-bit platforms (thx Matthias Klose, Bastian Blank, and
    Pranav P; closes: #1102106).

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 29 May 2025 17:33:17 +0200

git (1:2.49.0-1) unstable; urgency=low

  * new upstream release (see RelNotes/2.48.0.adoc, RelNotes/2.49.0.adoc).
  * update debian/copyright.
  * debian/rules: adjust for asciidoc files using .adoc suffix.
  * debian/control: Standards-Version: 4.7.0.
  * debian/git-doc.doc-base.*: remove, as these metadata were not
    frequently used and were out of date.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 15 Mar 2025 18:48:53 +0100
