## git 2.50.0+next.20250615

=== debian/changelog ===
git (1:2.50.0+next.20250615-1) experimental; urgency=low

  * merge branch debian-sid.
  * new snapshot, taken from upstream commit 196bf9f4.

 -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 17 Jun 2025 04:02:46 +0200

git (1:2.50.0~rc0+next.20250528-1) experimental; urgency=low

  * merge branch debian-sid.
  * new upstream release candidate (see RelNotes/2.50.0.adoc).
  * new snapshot, taken from upstream commit d817f149.
  * debian/patches/0001-parse-options-...diff: remove; applied
    upstream.

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 29 May 2025 17:55:09 +0200

git (1:2.49.0+next.20250314-1) experimental; urgency=low

  * new snapshot, taken from upstream commit 12beb8f5.
  * merge branch debian-sid.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 15 Mar 2025 19:12:38 +0100

git (1:2.48.0~rc1+next.20250101-1) experimental; urgency=low

  * merge branch debian-sid.
  * new upstream release candidate (see RelNotes/2.48.0.txt).
  * new snapshot, taken from upstream commit b6b6757d.
  * debian/patches/0002-t-Makefile-make-check-meson-work-with-Dash.diff:
    new from upstream: allow running tests with shells not
    supporting <() construct.

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 02 Jan 2025 16:01:59 +0100

git (1:2.45.2+next.20240614-1) experimental; urgency=low

  * merge branch debian-sid.
  * new snapshot, taken from upstream commit 447d99e1.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sun, 16 Jun 2024 16:13:36 +0000

git (1:2.45.1+next.20240516-1) experimental; urgency=medium

  * merge branch debian-sid.

  [ Calvin Wan ]
  * new snapshot, taken from upstream commit 0e0cd299.

 -- Jonathan Nieder <jrnieder@gmail.com>  Mon, 20 May 2024 04:02:38 +0000

git (1:2.43.0+next.20240104-1) experimental; urgency=low

  * new snapshot, taken from upstream commit b435a96c.

 -- Josh Steadmon <steadmon@google.com>  Fri, 05 Jan 2024 10:07:45 -0800

git (1:2.43.0+next.20231221-1) experimental; urgency=low

  * new snapshot, taken from upstream commit 3460e3d6.

 -- Emily Shaffer <emilyshaffer@google.com>  Tue, 26 Dec 2023 07:29:41 -0800

git (1:2.43.0+next.20231215-1) experimental; urgency=low

  * new snapshot, taken from upstream commit ebba9660.

 -- Calvin Wan <calvinwan@google.com>  Sat, 16 Dec 2023 00:01:10 +0000

git (1:2.43.0+next.20231120-1) experimental; urgency=low

  * merge branch debian-sid.
  * new snapshot, taken from upstream commit 3155946c.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sun, 26 Nov 2023 18:00:52 -0800
