=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: git
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
+Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Anders Kaseorg <andersk@mit.edu>
 Build-Depends: libz-dev, gettext,
  libpcre2-dev | libpcre3-dev,
  libcurl4-gnutls-dev, libexpat1-dev,
- subversion [!i386], libsvn-perl [!i386], libyaml-perl,
+ subversion, libsvn-perl, libyaml-perl,
  tcl, python3,
  libhttp-date-perl | libtime-parsedate-perl,
  libcgi-pm-perl,
@@ -22,7 +21,7 @@
 Build-Depends-Indep: asciidoc (>= 8.6.10), xmlto, docbook-xsl
 Standards-Version: 4.7.0
 Homepage: https://git-scm.com/
-Vcs-Git: https://repo.or.cz/r/git/debian.git/
+Vcs-Git: https://repo.or.cz/r/git/debian.git/ -b debian-experimental
 Vcs-Browser: https://repo.or.cz/w/git/debian.git/
 
 Package: git
