=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Build-Depends-Indep: asciidoc (>= 8.6.10), xmlto, docbook-xsl
 Standards-Version: 4.7.0
 Homepage: https://git-scm.com/
-Vcs-Git: https://repo.or.cz/r/git/debian.git/ -b debian-experimental
+Vcs-Git: https://repo.or.cz/r/git/debian.git/
 Vcs-Browser: https://repo.or.cz/w/git/debian.git/
 
 Package: git
