=== debian/rules ===
--- 
+++ 
@@ -65,20 +65,19 @@
 override_dh_auto_build-arch: build-stamp
 	$(MAKE) -C contrib/subtree all $(OPTS)
 	ln -s contrib/subtree/git-subtree
-	$(MAKE) -C contrib/diff-highlight $(OPTS)
 
 override_dh_auto_test-arch:
 	test -z '$(TEST)' || \
 	  GIT_SKIP_TESTS="t9128 t9167" \
-	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) $(TEST) $(OPTS) || true
+	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) $(TEST) $(OPTS)
 	test -z '$(TEST)' || \
 	  GIT_TEST_OPTS='$(TEST_OPTS)' \
 	  $(MAKE) -C t \
 	  t9128-git-svn-cmd-branch.sh \
 	  t9167-git-svn-cmd-branch-subproject.sh \
-	  $(OPTS) || true || :
+	  $(OPTS) || :
 	test -z '$(TEST)' || \
-	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) -C contrib/subtree $(TEST) $(OPTS) || true
+	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) -C contrib/subtree $(TEST) $(OPTS)
 
 override_dh_auto_build-indep: build-stamp
 	# git-man, git-doc
